Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.data.temporal
Class TemporalDataDescription

    java.lang.Object
      org.encog.ml.data.temporal.TemporalDataDescription

Direct Known Subclasses:
  MarketDataDescription

    public class TemporalDataDescription

extends Object

This class describes one unit of input, or output, to a temporal neural network. Data can be both an input and output. Inputs are used to attempt predict the output.

Author:
  jheaton

Nested Class Summary
`static class` | `TemporalDataDescription.Type` The type of data requested.

Constructor Summary
`TemporalDataDescription(ActivationFunction activationFunction, double low, double high, TemporalDataDescription.Type type, boolean input, boolean predict)` Construct a data description item.
`TemporalDataDescription(ActivationFunction activationFunction, TemporalDataDescription.Type type, boolean input, boolean predict)` Construct a data description with an activation function, but no range.
`TemporalDataDescription(TemporalDataDescription.Type type, boolean input, boolean predict)` Construct a data description with no activation function or range.

Method Summary
`ActivationFunction` | `getActivationFunction()`
`double` | `getHigh()`
`int` | `getIndex()`
`double` | `getLow()`
`TemporalDataDescription.Type` | `getType()`
`boolean` | `isInput()`
`boolean` | `isPredict()`
`void` | `setIndex(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemporalDataDescription

    public TemporalDataDescription(ActivationFunction activationFunction,
                                   double low,
                                   double high,
                                   TemporalDataDescription.Type type,
                                   boolean input,
                                   boolean predict)

  Construct a data description item. Set both low and high to zero for unbounded.

  Parameters:
    `activationFunction` - What activation function should be used?
    `low` - What is the lowest allowed value.
    `high` - What is the highest allowed value.
    `type` - What type of data is this.
    `input` - Used for input?
    `predict` - Used for prediction?

### TemporalDataDescription

    public TemporalDataDescription(ActivationFunction activationFunction,
                                   TemporalDataDescription.Type type,
                                   boolean input,
                                   boolean predict)

  Construct a data description with an activation function, but no range.

  Parameters:
    `activationFunction` - The activation function.
    `type` - The type of data.
    `input` - Used for input?
    `predict` - Used for prediction?

### TemporalDataDescription

    public TemporalDataDescription(TemporalDataDescription.Type type,
                                   boolean input,
                                   boolean predict)

  Construct a data description with no activation function or range.

  Parameters:
    `type` - The type of data.
    `input` - Used for input?
    `predict` - Used for prediction?

Method Detail

### getActivationFunction

    public ActivationFunction getActivationFunction()

  Returns:
    the activationFunction

### getHigh

    public double getHigh()

  Returns:
    the high

### getIndex

    public int getIndex()

  Returns:
    the index

### getLow

    public double getLow()

  Returns:
    the low

### getType

    public TemporalDataDescription.Type getType()

  Returns:
    the type

### isInput

    public boolean isInput()

  Returns:
    the input

### isPredict

    public boolean isPredict()

  Returns:
    the predict

### setIndex

    public void setIndex(int index)

  Parameters:
    `index` - the index to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.